/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : Nov 19, 2019, 10:58:46 AM
    Author     : Tim
*/

/*.main-content > div:first-child {
    padding-left: 200px;
    margin-top: 100px;
}

.main-content > div:nth-child(2) {
    margin-left: 200px;
    margin-right: 200px;
    min-width: 1700px;
}*/

.main-content > div p {
    color: white;
    text-align: center;
    font-size: 16pt;
}

.main-content > div p .sub {
    font-size: 17px;
    color: whitesmoke;
}

.logo img {
    max-width: 552px;
    min-width: 400px;
    width: 20vw;
    object-fit: contain;
    transition: transform .2s;

    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                          supported by Chrome and Opera */
}

.mci {
    /*max-width: 552px;
    min-width: 400px;
    width: 35vw;*/

    margin-top: 0;
    padding: 100px;
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                          supported by Chrome and Opera */
}

/*.logo img.csa-standard {
    transform: scale(.5);
}

.logo img.csa-select {
    transform: scale(.5);
}*/

.buy-csa {
    font-size: 27px;
}

.csa {

}

.csa-standard, .csa-select {
    width: 100%;
    max-width: 100%
}

.csa-bar {
    background-color: rgba(19,22,32,0.90);
    border-radius: 4px;
    padding: 35px;
    ;
    width: 100%;
    min-height: 100px;
    color: #fff;
    font-size: 20px;
    font-weight: 600;
    white-space: nowrap;
    min-width: 1000px;
}

.csa-bar-placeholder {
    width: 100%;
    min-width: 1000px;
    height: 125px;
}

.csa-bar.csa-stop {
    position: fixed;
    top: 70px;
    left: 0;
    right: 0;
    z-index: 95;
    background-color: rgba(19,22,32,1);
}

.csa-bar span {
    font-weight: 400;
    color: greenyellow;
}

.csa-bar span.deliverydate {

}

.csa-bar span.accountbalance {
    font-weight: 400;
    color: greenyellow;
}

.csa-produce {
    width:100%;
    margin-top: 15px;
    min-height: 300px;
    background-color: rgba(255,255,255, 0.90);
    border-radius: 4px;
}

.csa-produce > .item {
    width: 300px;
    height: 300px;
    text-align: center;
    color: black;
    margin: 15px;
    display: block !important;
}

.csa-produce > .item > div {
    display: block !important;
}

.csa-produce > .item input[type=text] {
    width: 75px;
    margin-top: 5px;
}

.csa-introduction {

}

#addfunds {
    color: #6bf;
    cursor: pointer;
    font-weight: 400;
    font-size: 14px;
}

.inCurrentOrder {
    color: yellowgreen;
    font-size: 12px;
}

@media screen
and (min-device-width: 768px)
and (max-device-width: 1024px)
and (orientation: portrait) {
    .csa-bar {
        min-width: 768px;
        border-radius: 0;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 15px;
        padding-bottom: 15px;
        justify-content: space-between !important;
        font-size: 16px;
        min-height: 30px;
    }

    .csa-bar-placeholder {
        height: 75px;
    }

    .mct {
        padding: 0 !important;
    }

    .logo img.csa-select {
        transform: none;
    }

    .csa-produce {
        border-radius: 0;
    }

    .csa-produce > .item {
        width: 200px;
        height: 200px;
    }

    .mci {
        max-width: 768px;
        width: 90vw;
        margin-left: auto;
        margin-right: auto;
    }

    #csa-logo {
        margin-left: auto;
        margin-right: auto;
    }

    .buy-csa {
        width: 50vw;
        margin-left: auto;
        margin-right: auto;
    }

    #globalnav > .gn-list:first-child {
        width: 600px;
    }

    #globalnav > .gn-list:not(:first-child) {
        width: auto !important;
        justify-content: flex-start !important;

    }

    ul {
        padding-left: 5px;
        padding-right: 5px;
    }
}

@media screen
and (min-device-width: 768px)
and (max-device-width: 1024px)
and (orientation: landscape) {
    .csa-bar {
        min-width: 768px;
        border-radius: 0;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 15px;
        padding-bottom: 15px;
        justify-content: space-between !important;
        min-height: 30px;
    }

    .csa-bar-placeholder {
        height: 80px;
    }

    .mct {
        padding: 0 !important;
    }

    .logo img.csa-select {
        transform: none;
    }

    .csa-produce {
        border-radius: 0;
    }

    .csa-produce > .item {
        width: 200px;
        height: 200px;
    }

    .logo {
        margin-left: auto;
        margin-right: auto;
    }

    .mci {
        max-width: 1024px;
        width: 90vw;
        margin-left: auto;
        margin-right: auto;
    }

    .buy-csa {
        width: 50vw;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen
and (min-device-width: 1024px)
and (max-device-width: 1366px)
and (orientation: portrait) {
    .csa-bar {
        min-width: 768px;
        border-radius: 0;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 15px;
        padding-bottom: 15px;
        justify-content: space-between !important;
        font-size: 16px;
        min-height: 30px;
    }

    .csa-bar-placeholder {
        height: 75px;
    }

    .mct {
        padding: 0 !important;
    }

    .logo img.csa-select {
        transform: none;
    }

    .csa-produce {
        border-radius: 0;
    }

    .csa-produce > .item {
        width: 200px;
        height: 200px;
    }

    .mci {
        max-width: 768px;
        width: 90vw;
        margin-left: auto;
        margin-right: auto;
    }

    #csa-logo {
        margin-left: auto;
        margin-right: auto;
    }

    .buy-csa {
        width: 50vw;
        margin-left: auto;
        margin-right: auto;
    }

    #globalnav > .gn-list:first-child {
        width: 600px;
    }

    #globalnav > .gn-list:not(:first-child) {
        width: auto !important;
        justify-content: flex-start !important;

    }

    ul {
        padding-left: 5px;
        padding-right: 5px;
    }
}

@media screen
and (min-device-width: 1024px)
and (max-device-width: 1366px)
and (orientation: landscape) {
    .csa-bar {
        min-width: 768px;
        border-radius: 0;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 15px;
        padding-bottom: 15px;
        justify-content: space-between !important;
        min-height: 30px;
    }

    .csa-bar-placeholder {
        height: 80px;
    }

    .mct {
        padding: 0 !important;
    }

    .logo img.csa-select {
        transform: none;
    }

    .csa-produce {
        border-radius: 0;
    }

    .csa-produce > .item {
        width: 200px;
        height: 200px;
    }

    .logo {
        margin-left: auto;
        margin-right: auto;
    }

    .mci {
        max-width: 1024px;
        width: 90vw;
        margin-left: auto;
        margin-right: auto;
    }

    .buy-csa {
        width: 35vw;
        margin-left: auto;
        margin-right: auto;
    }
}